<!doctype html>
<html lang="es_ES" xmlns:th="http://www.thymeleaf.org">
<head>
    <!-- Required meta tags -->
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">

    <!-- Estilos personalizados -->
    <link href="" type="text/css" rel="stylesheet">

    <title th:if="${titulo}" th:text="${titulopest}"></title>
    <title th:if="${titulopest == null}"></title>
</head>
<body>
<h1 th:text="${titulo}"></h1>
<ul>
    <li><a th:href="@{/params/cadena/Hola Carlos, Cómo lo llevas}">Enviar param en la URL</a></li>
    <li><a th:href="@{/params/cadena/Hola Carlos, Cómo lo llevas/7}">Enviar 2 param en la URL</a></li>
    <hr>
    <li><a th:href="@{/params/mixparams(param1='Hola Carlos, Qué tal estás')}">Enviar param como parámetro</a></li>
    <li><a th:href="@{/params/mixparams2(param1='Hola Carlos, Qué tal estás', nro=7)}">Enviar 2 parámetro</a></li>
    <hr>
    <li><a th:href="@{/params/mixparamsreq(param1='Hola Carlos, Qué tal estás', nro=7)}">Enviar 2 y tratar con HttpRequest</a></li>
    <li><a th:href="@{/params/mixparamsreq(param1='Hola Carlos, Qué tal estás', nro='pepe')}">Enviar 2 y tratar con HttpRequest (con error en el segundo por el tipo)</a></li>

</ul>

<!-- Optional JavaScript; choose one of the two! -->
<script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js"
        integrity="sha384-IQsoLXl5PILFhosVNubq5LC7Qb9DXgDA9i+tQ8Zj3iwWAwPtgFTxbJ8NT4GN1R8p"
        crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.min.js"
        integrity="sha384-cVKIPhGWiC2Al4u+LWgxfKTRIcfu0JTxR+EQDz/bgldoEyl4H0zUF0QKbrJ0EcQF"
        crossorigin="anonymous"></script>
</body>
</html>